Bug 987481 - cinder: quota-class - more cli commands are needed
cinder: quota-class - more cli commands are needed
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-cinder (Show other bugs)
x86_64 Linux
unspecified Severity medium
: ---
: 5.0 (RHEL 7)
Assigned To: RHOS Maint
: FutureFeature, Improvement
Depends On:
  Show dependency treegraph
Reported: 2013-07-23 09:10 EDT by Dafna Ron
Modified: 2016-04-26 20:15 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-12-18 03:21:59 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1262884 None None None Never

  None (edit)
Description Dafna Ron 2013-07-23 09:10:09 EDT
Description of problem:

from what I read on quota-class we should be able to create a class for a tenant (with name) and than set a quota for a specific user if we want something different. 

1. there is no quota-class-create command, only update. 
2. there is no quota-class-list command in which I can see the 
3. after reading the below wiki for QuotaClass, quota-class-show should list the name of the quota-class. 

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. create a tenant 
2. run: cinder quota-class-show <tenant>
3. run: cinder quota-show
4. run: cinder help |grep class

Actual results:

results for quota-class-show and quota-show seem the same because they are created from default. 
grep on commands only show 2 commands which are show and update

Expected results:

1. we should be able to create a quota-class manually
2. quota-class-show should have the quota-class name
3. we should have a list command to show all quota-class in the cloud with tenant and class names/id's

Additional info:

Note You need to log in before you can comment on or make changes to this bug.